### Method

# Ide HighlightEngine advance

#### Declaration

    void
    ide_highlight_engine_advance (
      IdeHighlightEngine* self
    )

#### Description

This function is useful for `IdeHighlighter` implementations that need to asynchronously do work to process the highlighting.

If they return from their update function without advancing, nothing will happen until they call this method to proceed.

Available since: | 3.32